Restore a VM from backup

Initiate a restore of a virtual machine (VM) from an existing backup. You need to provide the VM's ID (vmid) and the ID of the backup you want to restore from (volid). The endpoint returns a jobId to track the restore process via GET /api/jobs/{jobId}.

VPS Services Backups

Context

Where to get IDs / values

Workflow links

Produces

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
volid string required · Example: pbs-offsite-10g:backup/vm/11148/2026-02-10T00:00:00.000Z

Responses

200
data object required
data.jobId string required · Example: restore-18411-1769155715867
data.message string required · Example: Restore job queued successfully

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

data.vmid string required · Example: 10000
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

PUT https://cloud.hostup.se/api/vm/{vmid}/backups
For AI assistants
cURL
curl -X PUT "https://cloud.hostup.se/api/vm/10000/backups" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "volid": "pbs-offsite-10g:backup/vm/11148/2026-02-10T00:00:00.000Z"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "jobId": "restore-18411-1769155715867",
    "message": "Restore job queued successfully",
    "vmid": "10000"
  }
}
Request Body Example 1
{
  "volid": "pbs-offsite-10g:backup/vm/11148/2026-02-10T00:00:00.000Z"
}